//---------------------------------------------------------------------------
#ifndef Frm_MainSheetH
#define Frm_MainSheetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <Buttons.hpp>

#include <htmlhelp.h>
#include "CMSDNHelp.h"
#include "RegShare.h"

//---------------------------------------------------------------------------
class TFrm_Main: public TForm
{
__published:	// IDE-managed Components
        TTabControl *TabControl1;
        TPanel *panel1;
        TPanel *Panel2;
        TPanel *Panel3;
        TButton *Button1;
        TButton *Button2;
        TButton *Button3;
        TEdit *Edit2;
        TEdit *Edit3;
	TButton *Btn_Convert;
        TButton *Btn_Exit;
        TOpenDialog *OpenDialog1;
        TSaveDialog *SaveDialog1;
	TComboBox *Cmb_OutputCodepage;
        TComboBox *ComboBox2;
	TCheckBox *Chk_BBM;
	TCheckBox *Chk_RSFS;
	TCheckBox *Chk_AMSSymb;
	TCheckBox *Chk_FancyHDR;
	TCheckBox *Chk_LatexSym;
	TCheckBox *Chk_MakeIDX;
	TCheckBox *Chk_LongTable;
	TCheckBox *Chk_Wasy;
	TEdit *Edit_InputFile;
	TComboBox *Cmb_LatexVer;
        TCheckBox *Chk_ExtractWPG;
        TCheckBox *Chk_IgnoreTabs;
        TCheckBox *Chk_SafeMode;
	TEdit *Edit_ImgPath;
	TComboBox *Cmb_Force;
        TCheckBox *Chk_Silent;
        TCheckBox *Chk_TeX_chars;
        TCheckBox *Chk_FixSpaces;
        TPanel *Panel4;
        TBitBtn *Btn_Help;
	TCheckBox *Chk_CpStyles;
	TCheckBox *Chk_FontencT1;
	TListBox *ListBox1;
	TListBox *LST_Graphic;
        TStaticText *Lbl_Copyright;
        TTimer *Tim_Splash;
	TCheckBox *Chk_TIPA;
        TLabel *Lbl_Wp2latexPage;
	TCheckBox *Chk_Hebrew;
	TCheckBox *Chk_pifont;
	TPanel *Panel5;
	TRadioButton *Rad_graphics;
	TRadioButton *Rad_GraphicX;
	TRadioButton *Rad_InputPS;
	TRadioButton *Rad_EpsFig;
	TCheckBox *Chk_ulem;
	TCheckBox *Chk_cyrillic;
	TCheckBox *Chk_Color;
	TBitBtn *Btn_Splash;
	TCheckBox *Chk_accents;
	TCheckBox *Chk_Scalerel;
	TComboBox *Cmb_UserWpCharset;
	TCheckBox *Chk_mxedruli;
	TCheckBox *Chk_ShrinkImages;
        TCheckBox *Chk_ArabTeX;
        TStaticText *StaticText1;
        TStaticText *StaticText2;
        TStaticText *StaticText3;
        TStaticText *StaticText4;
        TStaticText *StaticText5;
        TStaticText *StaticText6;
        TStaticText *StaticText7;
        TStaticText *StaticText8;
        TStaticText *StaticText9;
        TStaticText *StaticText10;
        TStaticText *StaticText11;
        void __fastcall TabControl1Change(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Btn_ExitClick(TObject *Sender);
        void __fastcall Btn_ConvertClick(TObject *Sender);
        void __fastcall Btn_HelpClick(TObject *Sender);
        void __fastcall Rad_InputPSDblClick(TObject *Sender);
        void __fastcall Rad_EpsFigDblClick(TObject *Sender);
        void __fastcall Rad_GraphicXDblClick(TObject *Sender);
        void __fastcall Edit_InputFileChange(TObject *Sender);
	void __fastcall Edit2Change(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormActivate(TObject *Sender);
        void __fastcall Rad_graphicsDblClick(TObject *Sender);
	void __fastcall Tim_SplashTimer(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall Lbl_Wp2latexPageClick(TObject *Sender);
        void __fastcall Panel4Resize(TObject *Sender);
        void __fastcall Panel2Resize(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
	void __fastcall Btn_SplashClick(TObject *Sender);

private:	// User declarations

public:		// User declarations
        TCMSDNHelp *HELP;
        void Widget2Setup(void);
        void Setup2Widget(void);
        __fastcall TFrm_Main(TComponent* Owner);
        __fastcall ~TFrm_Main();
	RegisterInfo RegInfo;
	void ParseRegistry(void);
	void StoreSettings(void);

	static HWND getMainFormHandle(void);
};


//---------------------------------------------------------------------------
extern PACKAGE TFrm_Main *Frm_Main;


inline HWND TFrm_Main::getMainFormHandle(void)
{return (Frm_Main==NULL) ? NULL : Frm_Main->GetParentHandle();}

//---------------------------------------------------------------------------
#endif
